Enabled notifications
curl --request GET \
--url https://api.neynar.com/v2/farcaster/app_host/user/state/ \
--header 'x-api-key: <api-key>'import requests
url = "https://api.neynar.com/v2/farcaster/app_host/user/state/"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.neynar.com/v2/farcaster/app_host/user/state/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"notifications_enabled": [
{
"domain": "<string>",
"status": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"message": "<string>",
"code": "<string>",
"property": "<string>",
"status": 123
}{
"message": "<string>",
"code": "<string>",
"property": "<string>",
"status": 123
}{
"message": "<string>",
"code": "<string>",
"property": "<string>",
"status": 123
}Mini App Hosts
Enabled notifications
Returns the current notification state for a specific user across all mini app domains in this app host. Shows which domains have notifications enabled.
GET
/
v2
/
farcaster
/
app_host
/
user
/
state
/
Enabled notifications
Node.js SDK
🔗 SDK Method: appHostGetUserState Use this API endpoint with the Neynar Node.js SDK for typed responses and better developer experience.Authorizations
API key to authorize requests
Query Parameters
The FID of the user
Required range:
x >= 1Response
Success
List of domains for which notifications are enabled for this user
Show child attributes
Show child attributes
Was this page helpful?